org.apache.lucene.analysis.en

## Class KStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.en.KStemFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class KStemFilter
    extends TokenFilter

A high-performance kstem filter for english.

See "Viewing Morphology as an Inference Process" (Krovetz, R., Proceedings of the Sixteenth Annual International ACM SIGIR Conference on Research and Development in Information Retrieval, 191-203, 1993).

All terms must already be lowercased for this filter to work correctly.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`KStemFilter(TokenStream in)`

### Method Summary

Methods
`boolean` `incrementToken()` Returns the next, stemmed, input Token.

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KStemFilter

    public KStemFilter(TokenStream in)

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Returns the next, stemmed, input Token.

Specified by:
  `incrementToken` in class `TokenStream`
Returns:
  The stemmed form of a token.
Throws:
  `IOException` - If there is a low-level I/O error.